
from .filesystem import Filesystem
from direct.showbase.ShowBase import ShowBase
from panda3d.core import WindowProperties

class Game(ShowBase):
	def __init__(self, packages):
		ShowBase.__init__(self)
		#self.disableMouse()

		self.fs = Filesystem()
		for package in packages:
			self.fs.include(package)

		mdl2 = self.fs.find_model('$/arrangements/arrange1.glb')
		mdl2.reparentTo(render)
		mdl2.setTexture(self.fs.find_texture('$/sfsd.png'), 1)

		mdl_missing = self.fs.find_model('$/kakahead')
		mdl_missing.reparentTo(render)

		winprops = WindowProperties()
		winprops.setSize(1600, 900)
		self.win.requestProperties(winprops)

def start_game(packages):
	if not packages:
		packages = []
	game = Game(packages)
	game.run()